Bug 922781 (Vc) - Review Request: Vc - A library to ease explicit vectorization of C++ code
Summary: Review Request: Vc - A library to ease explicit vectorization of C++ code
Keywords:
Status: CLOSED NOTABUG
Alias: Vc
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW kde-reviews
TreeView+ depends on / blocked
 
Reported: 2013-03-18 13:52 UTC by Rex Dieter
Modified: 2016-11-10 18:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-10 17:59:37 UTC


Attachments (Terms of Use)

Description Rex Dieter 2013-03-18 13:52:51 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/Vc/Vc.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/Vc/Vc-0.7.0-1.fc18.src.rpm
Description: 
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.

Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2013-03-18 13:53:50 UTC
This is a relatively new optional dependency for calligra-krita

Comment 2 Susi Lehtola 2013-03-21 10:10:08 UTC
The summary "Vector classes" is bad. Use "A free software library to ease explicit vectorization of C++ code" instead.

Comment 3 Rex Dieter 2013-03-21 13:51:09 UTC
imo "free software" is redundant (already implicit being included in fedora), and that is already mentioned in %description explicitly word-for-word.

I suppose a reasonable compromise is: 
A library to ease explicit vectorization of C++ code

Comment 4 Andreas Schneider 2014-02-11 20:25:55 UTC
For Vc-0.7.0-no_download_testdata.patch

In the main CMakeLists.txt I would add:

option(DOWNLOAD_TESTDATA "Download testdata during configure" OFF)


And then instead of commenting out the code put an

if (DOWNLOAD_TESTDATA)

around it. Should also be accepted upstream.

Comment 5 Andreas Schneider 2014-02-11 20:43:40 UTC
The VcConfig* stuff should be in /usr/lib64/cmake

Comment 6 Rex Dieter 2016-11-10 17:59:37 UTC
submitter is fine, there just is a lack of formal reviewers (and no review blockers mentioned yet).

That said, this is so old we may as well drop this old review as there are much newer versions available and would need a lot of work to update.

Comment 7 Rex Dieter 2016-11-10 18:01:15 UTC
FYI, upstream is how hosted at:
https://github.com/VcDevel/Vc


Note You need to log in before you can comment on or make changes to this bug.